<<<<<<< HEAD ======= CircleLight | SDF-2D - v0.7.6 >>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### Hierarchy

- LightDrawable
  - CircleLight

## Index

### Constructors

- constructor

### Properties

- center
- color
- intensity
- lightnessRatio

### Methods

- getObjectToSerialize
- minDistance
- setLightnessRatio

### Object literals

- descriptor

## Constructors

### constructor

- new CircleLight(center: vec2, color: vec3, intensity: number): CircleLight

- Overrides LightDrawable.__constructor

  <<<<<<< HEAD
  - Defined in drawables/lights/circle-light.ts:18
  =======
  - Defined in drawables/lights/circle-light.ts:18
  >>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

  #### Parameters

  - ##### center: vec2

  - ##### color: vec3

  - ##### intensity: number

  #### Returns CircleLight

## Properties

### center

center: vec2

Inherited from CircleLight.center

<<<<<<< HEAD
- Defined in drawables/lights/light-drawable.ts:8
=======
- Defined in drawables/lights/light-drawable.ts:8
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### color

color: vec3

Inherited from CircleLight.color

<<<<<<< HEAD
- Defined in drawables/lights/light-drawable.ts:8
=======
- Defined in drawables/lights/light-drawable.ts:8
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### intensity

intensity: number

Inherited from CircleLight.intensity

<<<<<<< HEAD
- Defined in drawables/lights/light-drawable.ts:8
=======
- Defined in drawables/lights/light-drawable.ts:8
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### Protected lightnessRatio

lightnessRatio: number = 1

Inherited from CircleLight.lightnessRatio

<<<<<<< HEAD
- Defined in drawables/lights/light-drawable.ts:6
=======
- Defined in drawables/lights/light-drawable.ts:6
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

## Methods

### Protected getObjectToSerialize

- getObjectToSerialize(transform2d: mat2d, transform1d: number): any

- Inherited from CircleLight.getObjectToSerialize

  Overrides Drawable.getObjectToSerialize

  <<<<<<< HEAD
  - Defined in drawables/lights/light-drawable.ts:20
  =======
  - Defined in drawables/lights/light-drawable.ts:20
  >>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

  #### Parameters

  - ##### transform2d: mat2d

  - ##### transform1d: number

  #### Returns any

### minDistance

- minDistance(target: vec2): number

- Inherited from CircleLight.minDistance

  Overrides Drawable.minDistance

  <<<<<<< HEAD
  - Defined in drawables/lights/light-drawable.ts:16
  =======
  - Defined in drawables/lights/light-drawable.ts:16
  >>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

  #### Parameters

  - ##### target: vec2

  #### Returns number

### setLightnessRatio

- setLightnessRatio(ratio: number): void

- Inherited from CircleLight.setLightnessRatio

  <<<<<<< HEAD
  - Defined in drawables/lights/light-drawable.ts:12
  =======
  - Defined in drawables/lights/light-drawable.ts:12
  >>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

  #### Parameters

  - ##### ratio: number

  #### Returns void

## Object literals

### Static Readonly descriptor

descriptor: object

Overrides Drawable.descriptor

<<<<<<< HEAD
- Defined in drawables/lights/circle-light.ts:9
=======
- Defined in drawables/lights/circle-light.ts:9
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### empty

empty: CircleLight = new CircleLight(vec2.create(), vec3.create(), 0)

<<<<<<< HEAD
- Defined in drawables/lights/circle-light.ts:17
=======
- Defined in drawables/lights/circle-light.ts:17
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### shaderCombinationSteps

shaderCombinationSteps: number[] = [0, 1, 2, 4, 8, 16]

<<<<<<< HEAD
- Defined in drawables/lights/circle-light.ts:16
=======
- Defined in drawables/lights/circle-light.ts:16
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### uniformCountMacroName

uniformCountMacroName: string = "CIRCLE_LIGHT_COUNT"

<<<<<<< HEAD
- Defined in drawables/lights/circle-light.ts:15
=======
- Defined in drawables/lights/circle-light.ts:15
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### propertyUniformMapping

propertyUniformMapping: object

<<<<<<< HEAD
- Defined in drawables/lights/circle-light.ts:10
=======
- Defined in drawables/lights/circle-light.ts:10
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### center

center: string = "circleLightCenters"

<<<<<<< HEAD
- Defined in drawables/lights/circle-light.ts:11
=======
- Defined in drawables/lights/circle-light.ts:11
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### color

color: string = "circleLightColors"

<<<<<<< HEAD
- Defined in drawables/lights/circle-light.ts:12
=======
- Defined in drawables/lights/circle-light.ts:12
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### intensity

intensity: string = "circleLightIntensities"

<<<<<<< HEAD
- Defined in drawables/lights/circle-light.ts:13
=======
- Defined in drawables/lights/circle-light.ts:13
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc